package com.template.services;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.template.model.pojo.SmartAuthorGroup;
import com.template.model.pojo.SmartAuthorGroup;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-12-04
 */
public interface SmartAuthorGroupService extends IService<SmartAuthorGroup> {
    int insertSmartAuthorGroup(SmartAuthorGroup rns);

    int updateSmartAuthorGroup(SmartAuthorGroup rns);

    PageUtils<SmartAuthorGroup> queryPageSmartAuthorGroups(int currentPage, int pageCount, String name);

    int deleteSmartAuthorGroupById(int id);

    SmartAuthorGroup getSmartById(int id);

    List<SmartAuthorGroup> getAuthorGroupList();

    List<SmartAuthorGroup> getAuthorGroupByKey(QueryWrapper<SmartAuthorGroup> queryWrapper);

    List<SmartAuthorGroup> smartAuthorGroup(Integer userId);
}
